<!DOCTYPE html>
<html>
	<head>
	    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	    <title>AngularJS Form Reset</title>
	
	    <!-- AngularJs Files -->
	    <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
	    <script type="text/javascript" src="resource/js/form_reset.js"></script>
	
	    <!-- Bootstrap Css -->
	    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.2/css/bootstrap.min.css">
	
	    <style type="text/css">
	        input.ng-invalid {
	            border: 1px solid red;
	        }
	    </style>
	</head>
	<body>
	    <div id="angularFormReset" class="container">
	        <h1 align="center" class="text-primary">AngularJS - Reset Form Values Example</h1>
	        <hr />
	        
	        <div ng-app="app" ng-controller="myctrl">
	        	<!-- Person form. -->
	            <form name="personForm" novalidate>
	                <div id="email_address" class="form-group">
	                    <label for="email">Email address</label>
	                    <input type="email" class="form-control" id="email" name="emailAddr" ng-model="person.emailAddr" required />
	                </div>
	                <div id="user_name" class="form-group">
	                    <label for="username">Username</label>
	                    <input type="text" class="form-control" id="username" name="userName" ng-model="person.userName" required />
	                </div>
	                <div>&nbsp;</div>
	                <button type="button" class="btn btn-default" ng-click="resetForm()" ng-disabled="!isPersonChanged()">Reset</button>
	            </form>
				<div>&nbsp;</div>
				
				<!-- To display the updated boolean flag if the form-data is changed. -->
	            <div id="pristine_output">
	                <strong>personForm.$pristine</strong>= <span>{{ personForm.$pristine }}</span>
	            </div>
	        </div>
	    </div>
	</body>
</html>