/* 
 * Description - Angular script for resetting the form-data on a button click.
 * Created By - Yatin Batra 
 * */
var app = angular.module("app", []);

app.controller("myctrl", function($scope) {

	$scope.person = {
			emailAddr: "daniel.atlas@webcodegeeks.com",
			userName: "daniel.atlas"
	};

	var orig = angular.copy($scope.person);

	$scope.resetForm = function() {
		$scope.person = angular.copy(orig);
		$scope.personForm.$setPristine();
	};

	$scope.isPersonChanged = function() {
		return !angular.equals($scope.person, orig);
	};
});